Package it.ernytech.tdlib

## Class TdApi.InputMessageVideoNote

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputMessageContent
    - - it.ernytech.tdlib.TdApi.InputMessageVideoNote

Enclosing class:
  TdApi

    public static class TdApi.InputMessageVideoNote
    extends TdApi.InputMessageContent

A video note message.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `duration` Duration of the video, in seconds.
`int` `length` Video width and height; must be positive and not greater than 640.
`TdApi.InputThumbnail` `thumbnail` Video thumbnail, if available.
`TdApi.InputFile` `videoNote` Video note to be sent.

### Constructor Summary

Constructors
`InputMessageVideoNote()` Default constructor.
`InputMessageVideoNote​(TdApi.InputFile videoNote, TdApi.InputThumbnail thumbnail, int duration, int length)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### videoNote

    public TdApi.InputFile videoNote

Video note to be sent.

#### thumbnail

    public TdApi.InputThumbnail thumbnail

Video thumbnail, if available.

#### duration

    public int duration

Duration of the video, in seconds.

#### length

    public int length

Video width and height; must be positive and not greater than 640.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputMessageVideoNote

    public InputMessageVideoNote()

Default constructor.

#### InputMessageVideoNote

    public InputMessageVideoNote​(TdApi.InputFile videoNote,
                                 TdApi.InputThumbnail thumbnail,
                                 int duration,
                                 int length)

Constructor for initialization of all fields.

Parameters:
  `videoNote` - Video note to be sent.
  `thumbnail` - Video thumbnail, if available.
  `duration` - Duration of the video, in seconds.
  `length` - Video width and height; must be positive and not greater than 640.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR